> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Index a document using an index profile



## OpenAPI

````yaml /api-reference/4.2/service-index-profiles.json post /index/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service index-profiles
servers:
  - url: /api/apollo/
security: []
tags:
  - name: index-profiles
paths:
  /index/{id}:
    post:
      tags:
        - 4.2 Index Profiles API
      summary: Index a document using an index profile
      operationId: indexPipelineDocument
      parameters:
        - name: id
          in: path
          description: The ID of the index profile to use
          required: true
          schema:
            type: string
        - name: simulate
          in: query
          description: >-
            If true, documents are not sent to Solr for indexing; the solr-index
            stage will be skipped
          required: false
          schema:
            type: boolean
            default: false
        - name: echo
          in: query
          description: >-
            If true, return the list of documents indexed; otherwise no output
            is returned when the pipeline has finished
          required: false
          schema:
            type: boolean
            default: true
        - name: echoMaxCount
          in: query
          description: The maximum number of documents to list in the output
          required: false
          schema:
            type: integer
            format: int32
            default: 100
        - name: stats
          in: query
          required: false
          schema:
            type: boolean
            default: false
        - name: bufferDocsForSolr
          in: query
          required: false
          schema:
            type: boolean
      requestBody:
        content:
          application/vnd.lucidworks-document:
            schema: {}
          application/vnd.solr-document:
            schema: {}
        description: A PipelineDocument or Solr XML document
      responses:
        '200':
          description: successful operation
          content:
            application/json; qs=1.0:
              schema:
                $ref: '#/components/schemas/IndexPipelineStatResponse'
components:
  schemas:
    IndexPipelineStatResponse:
      type: object
      properties:
        docs:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/PipelineDocument'
        stats:
          type: object
          readOnly: true
          additionalProperties:
            type: object
    PipelineDocument:
      type: object
      properties:
        id:
          type: string
        fields:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/PipelineField'
        metadata:
          type: object
          additionalProperties:
            type: string
        commands:
          type: array
          items:
            $ref: '#/components/schemas/Command'
        hints:
          type: object
          additionalProperties:
            type: array
            uniqueItems: true
            items:
              type: string
    PipelineField:
      type: object
      properties:
        name:
          type: string
        value:
          type: object
        metadata:
          type: object
          additionalProperties:
            type: string
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
    Command:
      type: object
      properties:
        name:
          type: string
          readOnly: true
        params:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    Annotation:
      type: object
      properties:
        type:
          type: string
        start:
          type: integer
          format: int64
        end:
          type: integer
          format: int64
        features:
          type: object
          readOnly: true
          additionalProperties:
            type: string
        label:
          type: string
          readOnly: true
        featureCount:
          type: integer
          format: int32

````